### Hierarchy

- IModelMetaData

## Index

### Properties

- available
- created
- deleted
- details
- modelId
- subscribed
- syncRequired
- uncommitted

## Properties

### available

available: boolean

Whether the model has been downloaded and is available locally.

### created

created: boolean

If the model was created offline and needs to be created at the server when the client connects.

### deleted

deleted: boolean

If the offline model was deleted, and should be deleted on the sever once the client connects.

### Optionaldetails

details: object

#### Type declaration

- ##### collection: string

- ##### createdTime: Date

- ##### lastSequenceNumber: number

- ##### modifiedTime: Date

- ##### permissions: ModelPermissions

- ##### snapshotSequenceNumber: number

- ##### snapshotVersion: number

- ##### valueIdPrefix: object

  - ##### increment: number

  - ##### prefix: string

- ##### version: number

### modelId

modelId: string

The unique id of the model.

### subscribed

subscribed: boolean

Whether the model has been marked for offline availability.

### syncRequired

syncRequired: boolean

If this record requires synchronization to the server for any reason.

### uncommitted

uncommitted: boolean

If the model has uncommitted local operations that need to be sent to the server when the client connects.